
Redmine - Defect #10068

Users cannot close issues, even their role have right.

2012-01-26 14:19 - Kanitchet Vaiassava

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

In my organization. We have used Redmine as a replacement for helpdesk. We (IT Dept.) set the group of users and named it

"users".

We have assigned its role to the one that can open the new issue or close it, and new issue or opened issue can't not assign (or

re-assign) to other users that not open or related with the issue.

The problem is sometimes user cannot close their opened issue (no close the issue option for them). But, most the time they can

close their issues.

So, I think their may be a defect in the code.

Thank you for read this... I'm very bad in English, sry.

History

#1 - 2012-07-04 10:09 - Rob D

We have just come across a similar problem, where neither a manager or developer could close this one particular issue, because the two closed

states (Resolved and Rejected) were not present in the status list.

It was caused by the fact the issue had a "blocked by" relation to another issue that was still open (which makes sense), however, even after

removing the "blocked by" relation the issue could still not be closed.

The problem seems to be that removing the blocked relation did not trigger a page refresh, and therefore the status list was not re-populated with the

closed options. Navigating away from, and then back to the issue repopulated the status list, and our issue was able to be closed by the developer.

#2 - 2020-12-12 04:48 - Go MAEDA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Closing this issue because maybe closing the issue is restricted by related issues or workflow rules.

Rob D wrote:

We have just come across a similar problem, where neither a manager or developer could close this one particular issue, because the two

closed states (Resolved and Rejected) were not present in the status list.

 Redmine 4.2.0 will have a feature that shows a warning when the issue cannot be closed because of related issues (#31589). I think it can reduce

such troubles.
